d.title(1)

NAME
d.title - Outputs a TITLE for a raster map layer in a form suitable for display by d.text.

KEYWORDS
display

SYNOPSIS
d.title
d.title help
d.title [-f] map=string [color=string] [size=float]

  Flags:

-f  Do a fancier title

  Parameters:

map=string
    Name of existing raster map

color=string
    Sets the text color Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey,cyan,purple Default: black

size=float
    Sets the text size as percentage of the frame's height Options: 0-100 Default: 4.0

DESCRIPTION
d.title generates to standard output a string which can be used by d.text to draw a TITLE for the raster map layer name in the active display frame on the graphics monitor. Output created by d.title can be redirected into a file, or piped directly into d.text to display the map TITLE created by d.title. The map TITLE created will include the map layer's name, TITLE, MAPSET, LOCATION_NAME, geographic region boundary coordinates, and cell resolution.

EXAMPLE
For example, a user wishing to create a suitable TITLE for the Spearfish, SD soils map layer and to display this TITLE in the active display frame on the graphics monitor might type the following: d.title map=soils color=red size=5 > TITLE.file d.text < TITLE.file

Alternately, the user might pipe d.title output directly into d.text: d.title map=soils color=red size=5 | d.text

A file created by d.title can be displayed with d.text. Information contained in this file takes precedence over the color and size parameters for d.text.

NOTES
The text created with d.text will not necessarily fit within the active display frame on the graphics monitor; the user should choose a text size appropriate to this frame.

SEE ALSO
d.font
d.font.freetype
d.text

AUTHOR
James Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2005/09/19 07:20:20 $

Full index